<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\adminapi\lists\sale;


use app\adminapi\lists\BaseAdminDataLists;
use app\common\model\sale\SaleGroup;
use app\common\lists\ListsSearchInterface;


/**
 * SaleGroup列表
 * Class SaleGroupLists
 * @package app\adminapi\lists
 */
class SaleGroupLists extends BaseAdminDataLists implements ListsSearchInterface
{


    /**
     * @notes 设置搜索条件
     * @return \string[][]
     * @author likeadmin
     * @date 2024/12/15 11:11
     */
    public function setSearch(): array
    {
        return [
            '=' => ['sale_name'],

        ];
    }

    /**
     * 获取数据权限
     * $this->adminInfo['data_rules']
     * province city admin_id sale_group_id sale_id  property_head_id
     */
    public function queryDataWhere(){
        $where = [];
        $data_rules = $this->adminInfo['data_rules'];
        /*if (isset($data_rules['province']) && !empty($data_rules['province'])) {
            $where[] = ['province','in' ,$data_rules['province']];
        }
        if (isset($data_rules['city']) && !empty($data_rules['city'])) {
            $where[] = ['city','in' ,$data_rules['city']];
        }*/
        if (isset($data_rules['sale_group_id']) && !empty($data_rules['sale_group_id'])) {
            $where[] = ['sale_group_id','in' ,$data_rules['sale_group_id']];
        }
        return $where;
    }
    /**
     * @notes 获取列表
     * @return array
     * @throws \think\db\exception\DataNotFoundException
     * @throws \think\db\exception\DbException
     * @throws \think\db\exception\ModelNotFoundException
     * @author likeadmin
     * @date 2024/12/15 11:11
     */
    public function lists(): array
    {
        return SaleGroup::where($this->searchWhere)
            ->field(['id', 'sale_name'])
            ->where($this->queryDataWhere())
            ->limit($this->limitOffset, $this->limitLength)
            ->order(['id' => 'desc'])
            ->select()
            ->toArray();
    }


    /**
     * @notes 获取数量
     * @return int
     * @author likeadmin
     * @date 2024/12/15 11:11
     */
    public function count(): int
    {
        return SaleGroup::where($this->searchWhere)->where($this->queryDataWhere())->count();
    }

}